# Uses of Interface
com.sun.source.tree.WildcardTree

Packages that use WildcardTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of WildcardTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type WildcardTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitWildcard(WildcardTree node, P p)`
  Visits a `WildcardTypeTree` node.

- ## Uses of WildcardTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type WildcardTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitWildcard(WildcardTree node, P p)`
  Visits a `WildcardTypeTree` node.
  `R`
  TreeScanner.`visitWildcard(WildcardTree node, P p)`
  Visits a `WildcardTypeTree` node.